.card {
  position: relative;

  display: block;

  background: var(--card-background);
  border-radius: var(--border-radius);
  outline: none;
  isolation: isolate;

  text-decoration: none; /* Prevent text decorations when inside a link. */
  color: inherit; /* Prevent text color from changing when inside a link. */

  transition: background var(--transition-duration), border-color var(--transition-duration);

  --card-background: var(--color-background-l2);
}

/* For hover effect */
a.card::before {
  position: absolute;
  content: "";
  inset: 0;

  border: var(--border-size) solid transparent; /* Make it less jarring when switch from light to dark. */
  border-radius: var(--border-radius);

  pointer-events: none;
}

/* Light mode : on hover, put elevated shadows. */
[data-theme="light"] .card {
  box-shadow: var(--shadow);
}

[data-theme="light"] a.card::before {
  box-shadow: var(--shadow-elevated);
  opacity: 0;

  transition: opacity var(--transition-duration);
}

[data-theme="light"] a.card:is(:hover,:focus)::before {
  opacity: 1;
}

/* Dark mode : on hover, highlight borders. */
[data-theme="dark"] .card {
  --card-background: var(--color-background-l1);
}

[data-theme="dark"] a.card::before {
  border: var(--border-size) solid var(--color-border);

  transition: border-color var(--transition-duration);
}

[data-theme="dark"] a.card:is(:hover,:focus){
  --card-background: var(--color-background-l2);
}

[data-theme="dark"] a.card:is(:hover,:focus)::before {
  border-color: var(--color-secondary-h1);
}